Subject: trucks
From: [email-masked]
To: [email-masked], [email-masked], [email-masked]
Cc: [email-masked], [email-masked]
Date: Mon, 26 Nov 2001 17:23:21 -0800 (PST)

Not sure if you guys heard about these anti-abortion trucks, but I had not.
I saw two of these trucks this morning and they are so disgusting that I
believe it is borderline harassment or obscenity.  It?s difficult because I
believe so strongly in free speech, but this really was upsetting.  You can
check out their web site at http://www.abortionno.org/
<http://www.abortionno.org/>   From there you can get into the pictures and
truck campaign.  It?s really unbelievable.

Cameron Sellers
Vice President, Business Development
PERFECT
1860 Embarcadero Road - Suite 210
Palo Alto, CA 94303
[email-masked]
650.798.3366 (direct dial)
650.269.3366 (cell)
650.858.1095 (fax)